import java.awt.event.KeyListener;
import java.awt.event.KeyEvent;


// Any implementation/platform specific input handling goes here.
class InputHandler implements KeyListener {
	public InputHandler(Game game) {
		d_game = game; 
	}

	public void keyPressed(KeyEvent ke) {
		String keyname = ke.getKeyText(ke.getKeyCode());
		if (keyname.equals("Up") ||
				keyname.equals("Down") ||
				keyname.equals("Left") ||
				keyname.equals("Right") ||
				keyname.equals("Space"))
			d_game.keyEvent(keyname); // Doesn't have to more complicated than this :-)
	}

	// Only key presses are registered ATM
	public void keyReleased(KeyEvent ke) {}
	public void keyTyped(KeyEvent ke) {}

	/* Data */
	private Game d_game;
}
