import javax.swing.Timer;
import java.awt.event.ActionListener;

class TTimer extends javax.swing.Timer { // TTimer as in Tetris Timer
	public TTimer(int delay, ActionListener listener) {
		super(delay, listener); // javax.swing.Timer wants the delay and at least one listener
		d_delay = delay;
	}

	public void run() {
		start();
	}

	public int getDelay() { return d_delay; }
	public void setDelay(int delay) { 
		d_delay = delay; 
		super.setInitialDelay(delay);
   		//restart(); // Whenever delay gets reset, we're starting over
		//System.out.println("delay got changed to " + delay);
	}

	
	/* Data */
	private int d_delay;
}
